QGIS Application - Bug report #14363
Qgis DB Manager runs, but cannot export
2016-02-23 04:01 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.2 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22346
Description

When i try to execute this code in Qgis DB Manager, it works
https://github.com/baditaflorin/osm-postgis-scripts/blob/test/nodes grid counter.sql

But if i want to create a view, or load as new layer, then i get a error

syntax error at or near "CREATE"
LINE 22: CREATE OR REPLACE FUNCTION public.makegrid_2d (

| have ilustated the process in this youtube video, so you can see better https://www.youtube.com/watch?v=mFH2NOnxezk

A

History

#1 - 2016-03-06 10:20 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

you can run arbitrary sql statements in the sgl window of db manager, but when it comes to the "load as new layer" functionality you really must just run a

select statement.

#2 - 2016-03-08 02:45 AM - baditaflorin -

Can you please point me to why this is happening?

Can | circumvent this somehow?

| want to create something simple, and if | require first the user to do step 1, and then load another script, paste it into the DB manager, will be more

complicated.

#3 - 2016-04-28 12:28 AM - Giovanni Manghi

baditaflorin - wrote:

Can you please point me to why this is happening?

Can | circumvent this somehow?
https://github.com/baditaflorin/osm-postgis-scripts/blob/test/nodes_grid_counter.sql
https://www.youtube.com/watch?v=mFH2NOnxezk

| want to create something simple, and if | require first the user to do step 1, and then load another script, paste it into the DB manager, will be more
complicated.

There is nothing to circumvent or fix here, in my opinion. The "load as new layer" work that way: you run a SELECT query that returns a table, and then you
can use this functionality to load it into the project. If you need more SQL code in the DB Manager SQL panel, just select the part of it that is about the
SELECT statement, and run just it.

#4 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
